Skip to content

Commit

Permalink
git-sh-setup.sh: make GIT_DIR absolute
Browse files Browse the repository at this point in the history
Quite a few of the scripts are rather careless about using GIT_DIR
while changing directories.

Some try their hands (with different likelihood of success) in making
GIT_DIR absolute.

This patch lets git-sh-setup.sh cater for absolute directories (in a
way that should work reliably also with non-Unix path names) and
removes the respective kludges in git-filter-branch.sh and
git-instaweb.sh.

Signed-off-by: David Kastrup <[email protected]>
Signed-off-by: Junio C Hamano <[email protected]>
  • Loading branch information
dakhubgit authored and gitster committed Aug 14, 2007
1 parent 0476786 commit b2bc9a3
Show file tree
Hide file tree
Showing 3 changed files with 12 additions and 15 deletions.
7 changes: 0 additions & 7 deletions git-filter-branch.sh
Original file line number Diff line number Diff line change
Expand Up @@ -170,13 +170,6 @@ do
esac
done < "$tempdir"/backup-refs

case "$GIT_DIR" in
/*)
;;
*)
GIT_DIR="$(pwd)/../../$GIT_DIR"
;;
esac
export GIT_DIR GIT_WORK_TREE=.

# These refs should be updated if their heads were rewritten
Expand Down
8 changes: 1 addition & 7 deletions git-instaweb.sh
Original file line number Diff line number Diff line change
Expand Up @@ -8,13 +8,7 @@ USAGE='[--start] [--stop] [--restart]

. git-sh-setup

case "$GIT_DIR" in
/*)
fqgitdir="$GIT_DIR" ;;
*)
fqgitdir="$PWD/$GIT_DIR" ;;
esac

fqgitdir="$GIT_DIR"
local="`git config --bool --get instaweb.local`"
httpd="`git config --get instaweb.httpd`"
browser="`git config --get instaweb.browser`"
Expand Down
12 changes: 11 additions & 1 deletion git-sh-setup.sh
Original file line number Diff line number Diff line change
Expand Up @@ -116,6 +116,16 @@ then
exit $exit
}
else
GIT_DIR=$(git rev-parse --git-dir) || exit
GIT_DIR=$(git rev-parse --git-dir) || {
exit=$?
echo >&2 "Failed to find a valid git directory."
exit $exit
}
fi

test -n "$GIT_DIR" && GIT_DIR=$(cd "$GIT_DIR" && pwd) || {
echo >&2 "Unable to determine absolute path of git directory"
exit 1
}

: ${GIT_OBJECT_DIRECTORY="$GIT_DIR/objects"}

0 comments on commit b2bc9a3

Please sign in to comment.